module.exports = {
  root: true,
  plugins: ['prettier'],
  extends: ['airbnb-base', 'prettier'],
  env: {
    node: true,
    es6: true,
  },
  parser: 'babel-eslint',
  rules: {
    'prettier/prettier': [
      'error',
      {
        singleQuote: true,
        trailingComma: 'all',
        semi: false,
      },
    ],
    'no-console': 0,
    'no-unused-vars': 1, // only warning
    'prefer-destructuring': 0,
    'no-restricted-syntax': 0,
    'no-underscore-dangle': 0,
    'no-nested-ternary': 0,
  },
  globals: {
    process: true,
  },
}
