/*
 * This jobs translates files to resulting URL
 */

const rewriteURL = file =>
  file.replace(/\.md$/, '/').replace(/^articles/, 'clanek')

module.exports = obj => {
  console.log('Build step: URLs')
  return new Promise(resolve => {
    for (const page of obj.pages) {
      page.file = rewriteURL(page.file)
      page.canonicalURL = `https://ok1kvk.cz/${page.file}`
    }
    resolve(obj)
  })
}

module.exports.rewriteURL = rewriteURL
